Create a workflow task Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/workflow/{workflow_uuid}/task

Path parameters

  • workflow_uuid string Required
application/json

Body

  • name string Required

    The name of the task.

  • visible_to_clients boolean

    Denotes if the task is visible to clients.

  • priority string

    The priority of the workflow task. Possible values are: high, low and null

  • description string

    The extra description added to a task.

  • task_status_uuid string

    The UUID of the task status to use as the default for new tasks created in this workflow.

  • offset_due_at_by integer

    The number of days the due_at should be set when the workflow has been triggered.

  • participants array[string(uuid)]

    Account UUIDs to be assigned to the task.

  • parent_uuid string(uuid)

    The parent task. Apply this if you want the task to be one of a tasks sub-tasks.

  • trigger_uuid string(uuid)

    The task that will trigger this task to be created.

  • auto_assign_assigned_adviser boolean

    Denotes that when the workflow is run, should we assign the assigned adviser of the client as a participant of the task. Only works when a workflow is run on a client.

  • auto_assign_assigned_administrator boolean

    Denotes that when the workflow is run, should we assign the administrator of the client as a participant of the task. Only works when a workflow is run on a client.

  • auto_assign_assigned_paraplanner boolean

    Denotes that when the workflow is run, should we assign the assigned paraplanner of the client as a participant of the task. Only works when a workflow is run on a client.

  • auto_assign_clients boolean

    Denotes that when the workflow is run, should we assign the client as a participant of the task.

  • groups array[string(uuid)]

    UUIDs of groups that will be assigned when the task is created.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string
POST /api/v1/workflow/{workflow_uuid}/task
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/workflow/6ff8f7f6-1eb3-3525-be4a-3932c805afed/task' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Mortgage Review","visible_to_clients":true,"priority":"low","description":"We need to run through a mortgage review with Gareth, as he can probably find a better deal.","task_status_uuid":"f662d7ff-d46a-436f-a137-c8d800d40e05","offset_due_at_by":5,"participants":["96c5e155-13ba-4ed3-b229-112f84fd551d","a4c34c27-fb6b-499e-8dc1-7ec102c0d6e7","d8c932ef-2a3b-4283-b4c6-3dc7d2baa776"],"parent_uuid":"5ab99841-ce0f-4cd5-8909-6429f9feecea","trigger_uuid":"3b3effb0-8e40-4a3c-8adc-1b34d75994a1","auto_assign_assigned_adviser":true,"auto_assign_assigned_administrator":true,"auto_assign_assigned_paraplanner":true,"auto_assign_clients":true,"groups":["2d8e7271-8791-4c72-9c46-472ffdc2fb1a","469938f7-ddaa-40ac-a10d-c31820c03ffd","9ee820d8-32d0-45b5-a2d3-1065a88b2c12"]}'
Request examples
{
  "name": "Mortgage Review",
  "visible_to_clients": true,
  "priority": "low",
  "description": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
  "task_status_uuid": "f662d7ff-d46a-436f-a137-c8d800d40e05",
  "offset_due_at_by": 5,
  "participants": [
    "96c5e155-13ba-4ed3-b229-112f84fd551d",
    "a4c34c27-fb6b-499e-8dc1-7ec102c0d6e7",
    "d8c932ef-2a3b-4283-b4c6-3dc7d2baa776"
  ],
  "parent_uuid": "5ab99841-ce0f-4cd5-8909-6429f9feecea",
  "trigger_uuid": "3b3effb0-8e40-4a3c-8adc-1b34d75994a1",
  "auto_assign_assigned_adviser": true,
  "auto_assign_assigned_administrator": true,
  "auto_assign_assigned_paraplanner": true,
  "auto_assign_clients": true,
  "groups": [
    "2d8e7271-8791-4c72-9c46-472ffdc2fb1a",
    "469938f7-ddaa-40ac-a10d-c31820c03ffd",
    "9ee820d8-32d0-45b5-a2d3-1065a88b2c12"
  ]
}
Response examples (401)
{
  "message": "Unauthenticated."
}